#
# TODO: doesn't build with gl enabled
#
Summary:	GTK+ tool to edit subtitles
Summary(pl.UTF-8):	Narzędzie napisane w GTK+ do edycji napisów
Name:		subtitleeditor
Version:	0.41.0
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	http://download.gna.org/subtitleeditor/0.41/%{name}-%{version}.tar.gz
# Source0-md5:	3c21ccd8296001dcb1a02c62396db1b6
URL:		http://home.gna.org/subtitleeditor/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	enchant-devel >= 1.1.0
BuildRequires:	gettext-devel
BuildRequires:	glibmm-devel >= 2.16.3
BuildRequires:	gstreamer0.10-audio-effects-good >= 0.10.5
BuildRequires:	gstreamer0.10-devel >= 0.10
BuildRequires:	gstreamer0.10-plugins-base-devel >= 0.10
BuildRequires:	gstreamer0.10-plugins-base-devel >= 0.10
BuildRequires:	gstreamermm-devel >= 0.10.6
BuildRequires:	gtkglextmm-devel >= 1.2.0
BuildRequires:	gtkmm-devel >= 2.12.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	iso-codes
BuildRequires:	libglademm-devel >= 2.4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml++-devel >= 2.20.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Suggests:	gstreamer-aac
Suggests:	gstreamer-audio-effects-base
Suggests:	gstreamer-dts
Suggests:	gstreamer-ffmpeg
Suggests:	gstreamer-imagesink-xv
Suggests:	gstreamer-pango
Suggests:	gstreamer-plugins-good
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Subtitle Editor is a GTK+ tool to edit subtitles.

%description -l pl.UTF-8
Subtitle Editor jest narzędziem napisanym w GTK+ do edycji napisów.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# remove pt_PT as there is already pt locale
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/pt_PT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/{actions,subtitleformats}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor
%update_desktop_database

%postun
/sbin/ldconfig
%update_icon_cache hicolor
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/subtitleeditor
%attr(755,root,root) %{_libdir}/libsubtitleeditor.so*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/actions
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libabout.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libadjusttime.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libapplytranslation.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libchangeframerate.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libcombinesubtitles.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libcommand.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libconfigurekeyboardshortcuts.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libdialoguize.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libdocumentmanagement.so
%attr(755,root,root) %{_libdir}/subtitleeditor/plugins/actions/libdocumentsnavigation.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libduplicatesubtitle.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libeditcell.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/liberrorchecking.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libextendlength.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libexternalvideoplayer.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libfindandreplace.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libinsertsubtitle.so
%attr(755,root,root) %{_libdir}/subtitleeditor/plugins/actions/libinsertsubtitlefromkeyframe.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libitalicize.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libjoindocument.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libkeyframesmanagement.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libmoveafterprecedingsubtitle.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libmovesubtitles.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libplaintext.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libpreferences.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libremovesubtitle.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libreversetextandtranslation.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libscalesubtitles.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libselection.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libsortsubtitles.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libspellchecking.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libsplitdocument.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libsplitsubtitle.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libstyleeditor.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libtextcorrection.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libtimemodemanagement.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libtimingfromplayer.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libtypewriter.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libvideoplayermanagement.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libviewmanager.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libwaveformmanagement.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libbestfit.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libclipboard.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libminimizeduration.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/actions/libstacksubtitles.so
%dir %{_libdir}/%{name}/plugins/subtitleformats
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libadobeencoredvdntsc.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libadobeencoredvdpal.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libadvancedsubstationalpha.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libbitc.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libdcsubtitle.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libmicrodvd.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libmpl2.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libmpsub.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libplaintextformat.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libsami.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libsbv.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libsprucestl.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libsubrip.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libsubstationalpha.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libsubtitleeditorproject.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libsubviewer2.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/subtitleformats/libtimedtextauthoringformat1.so
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/subtitleeditor.*
%{_pixmapsdir}/*.svg
%{_mandir}/man1/subtitleeditor.1*
%changelog
* Fri Dec 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/subtitleeditor.git;a=log;h=master

* Fri Dec 06 2013 Jan Rękorajski <baggins@pld-linux.org> 54c93a1
- up to 0.41.0
- updated BRs and files

* Tue Oct 09 2012 Jacek Konieczny <jajcus@jajcus.net> cf2ff0b
- Version: 0.40.0

* Thu Oct 27 2011 lisu <lisu@pld-linux.org> 650b4bb
- S: gstreamer-dts

* Wed Aug 24 2011 lisu <lisu@pld-linux.org> 072c96d
- pacgake more plugins

* Wed Aug 24 2011 lisu <lisu@pld-linux.org> 23eb3be
- updated to 0.39.0

* Fri May 13 2011 lisu <lisu@pld-linux.org> 59c2eb3
- typo

* Fri May 13 2011 lisu <lisu@pld-linux.org> da416df
- gstreamer components just suggested
- more gstreamer suggestions
- packaged more plugins

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> a11a36b
- Requires(post,postun): gtk-update-icon-cache

* Wed Jan 19 2011 lisu <lisu@pld-linux.org> 27adc2d
- rel 0.1

* Wed Jan 19 2011 lisu <lisu@pld-linux.org> e6d8925
- updated to 0.38.0 by Basia Zulawnik (madget <at> o2 <dot> pl)
- __rm macros

* Tue Oct 12 2010 lisu <lisu@pld-linux.org> 62ddd19
- R: gstreamer-imagesink-xv

* Tue Oct 12 2010 lisu <lisu@pld-linux.org> f06fe6b
- use formal english in rev 1.17

* Tue Oct 12 2010 lisu <lisu@pld-linux.org> 12d62fb
- up to 0.37.1
- pl fixes
- disable gl build, because if enabled -lpng12 flag apperas and I didn't find a way to drop it

* Sun Jun 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4816fd3
- updated to 0.32.0

* Wed Aug 27 2008 Robert Tomasik <rotom@pld-linux.org> c720210
- up to 0.20.1
- BR added

* Sun Apr 13 2008 wolf <wolf@pld-linux.org> 27e197d
- 0.20.0

* Fri May 04 2007 twittner <twittner@pld-linux.org> baa8bc0
- rel. 1

* Fri May 04 2007 twittner <twittner@pld-linux.org> 53df1ac
- fix locale names (pt_PT -> pt)
- rel. 0.2

* Fri May 04 2007 twittner <twittner@pld-linux.org> 6fc8b61
- no longer needed

* Fri May 04 2007 twittner <twittner@pld-linux.org> 568173d
- up to 0.13.6
- init_aspell.patch is not longer needed
- added missing BRs: gstreamer-audio-effects-good, pcre-cxx-devel
- rel. 0.1 (builds, not tested)

